Bug 1018346 - gtk-primary-button-warps-slider should default to false
gtk-primary-button-warps-slider should default to false
Status: NEW
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 14:16 EDT by Matthew Miller
Modified: 2016-07-21 15:11 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:28:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to default to false (947 bytes, patch)
2013-10-11 14:16 EDT, Matthew Miller
no flags Details | Diff

  None (edit)
Description Matthew Miller 2013-10-11 14:16:54 EDT
Created attachment 811338 [details]
patch to default to false

This property controls the behavior of left-click on a scrollbar. In previous releases, this scrolled by a page in the respective direction; in 3.10 with this property set to true, the page jumps.

Rationale:

1. This change makes gtk3 apps behave in a way which is confusingly unlike other common toolkits

2. This change seems very minor to people who aren't used to the the behavior either way, but is highly disruptive to people who are used to it

3. In most cases, paging is more useful than jumping anyway, because the scrollbar is a crude indicator of position.

4. With the old behavior, middle-click still gives a jump scroll for cases when people wnat it.

Thank you.
Comment 1 Jaroslav Reznik 2015-03-03 10:08:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Steeve McCauley 2015-06-12 15:25:25 EDT
Can't stand this behaviour.  Every time I click on the scroll bar to page down I end up near the bottom of my editor.

Apparently this setting in ~/.config/gtk-3.0/settings.ini will fix this annoyance, but I haven't gotten around to testing it,

[Settings]
gtk-primary-button-warps-slider=0
Comment 3 Amadeus 2015-06-18 16:53:51 EDT
#c2 That doesn't work. I still have this bug despite adding that setting.
Comment 4 Fedora End Of Life 2016-07-19 06:28:54 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Paul Stauffer 2016-07-21 15:11:42 EDT
Problem is still present in Fedora 24 as of gtk3-3.20.6-1.

Note You need to log in before you can comment on or make changes to this bug.